# $Revision: 1.52 $, $Date: 2008/11/18 18:34:28 $
#
# NOTE:
# - exif headers should be included as <libexif/something.h>
#   so don't ,,fix'' pkgconfig file
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for parsing EXIF files from digital cameras
Summary(pl.UTF-8):	Biblioteka do czytania plików EXIF z kamer cyfrowych
Name:		libexif
Version:	0.6.17
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/libexif/%{name}-%{version}.tar.bz2
# Source0-md5:	f7cf4e623a48c9a3b13f7f95f0a41015
Patch0:		%{name}-pl.po-update.patch
URL:		http://libexif.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	libtool
Obsoletes:	libexif7
Obsoletes:	libmnote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%description -l pl.UTF-8
Większość kamer cyfrowych tworzy pliki EXIF, które są JPEGami z
dodatkowymi znacznikami zawierającymi informacje o obrazie. Biblioteka
EXIF pozwala czytać informacje z tych znaczników.

%package devel
Summary:	Header files for libexif
Summary(pl.UTF-8):	Pliki nagłówkowe dla libexif
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexif7-devel
Obsoletes:	libmnote-devel

%description devel
Header files for libexif.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libexif.

%package static
Summary:	Static version of libexif
Summary(pl.UTF-8):	Statyczna wersja libexif
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libmnote-static

%description static
Static version of libexif.

%description static -l pl.UTF-8
Statyczna wersja libexif.

%package apidocs
Summary:	libexif API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libexif
Group:		Documentation

%description apidocs
API and internal documentation for libexif library.

%description apidocs -l pl.UTF-8
Dokumentacja API oraz wewnętrzna dla biblioteki libexif.

%prep
%setup -q
%patch0 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

# docs generation fails with -jN>1
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libexif

%find_lang %{name}-12

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-12.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libexif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexif.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexif.so
%{_libdir}/libexif.la
%{_includedir}/%{name}
%{_pkgconfigdir}/libexif.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexif.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/doxygen-output/libexif*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libexif.spec,v $
Revision 1.52  2008/11/18 18:34:28  qboosh
- License is LGPL (v2+)

Revision 1.51  2008/11/18 18:31:53  qboosh
- updated to 0.6.17
- updated pl.po-update patch
- removed obsolete ac,cve-2007-6351,cve-2007-6352 patches

Revision 1.50  2007/12/24 10:24:56  blues
- rel.3 (rel. 2 for AC)

Revision 1.49  2007-12-24 10:05:18  blues
- rel.2 - patches from RH: CVE-2007-6351, CVE-2007-6352

Revision 1.48  2007/06/14 16:53:37  qboosh
- updated to 0.6.16 (fixes CVE-2006-4168)
- updated pl.po-update patch

Revision 1.47  2007/06/05 05:30:04  qboosh
- CVE reference for 0.6.14

Revision 1.46  2007/05/26 19:29:51  qboosh
- updated am version

Revision 1.45  2007/05/26 18:06:06  qboosh
- updated to 0.6.15
- updated pl.po-update patch

Revision 1.44  2007/05/15 22:13:35  qboosh
- updated to 0.6.14 [fixes CVE-2007-2645]
- updated pl.po-update patch

Revision 1.43  2007/04/16 20:09:31  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 5.

Revision 1.42  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.40  2006/12/19 13:31:56  glen
- docs generation fails with -jN>1

Revision 1.39  2006/11/20 08:36:10  pluto
- fix build with new autoconf.

Revision 1.38  2006/03/25 14:23:23  arekm
- revert

Revision 1.37  2006/03/25 10:38:06  arekm
- rel 2; fix pkgconfig file

Revision 1.36  2006/01/29 19:27:52  adgor
- Reverted

Revision 1.35  2006/01/29 16:11:13  adgor
- Added pc.patch

Revision 1.34  2006/01/05 18:30:10  qboosh
- updated to 0.6.13
- removed obsolete pl.po and gcc4,segv patches, added pl.po-update patch
- added apidocs subpackage

Revision 1.33  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.32  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.31  2005/03/24 18:33:24  qboosh
- added segv patch, release 3

Revision 1.30  2005/03/21 19:12:14  qboosh
- added pl.po, release 2

Revision 1.29  2005/03/17 00:22:14  pluto
- gcc4 fix.

Revision 1.28  2005/03/17 00:01:45  qboosh
- updated to 0.6.12 (fixes CAN-2005-0664)
- removed obsolete gettext patch

Revision 1.27  2004/10/17 21:59:30  qboosh
- updated to 0.6.11 (note: new soname again)
- added gettext patch for new bug

Revision 1.26  2004/08/28 21:21:56  qboosh
- updated to 0.6.10

Revision 1.25  2004/06/19 20:43:05  qboosh
- merged 0.6.9 from DEVEL

Revision 1.24.2.1  2004/06/01 21:53:11  qboosh
- 0.6.9 for testing

Revision 1.24  2004/01/05 01:32:52  undefine
- release 2

Revision 1.23  2003/12/27 18:09:09  qboosh
- automake is sufficient; for lib breakage refer to devel-hints (h: libtool)

Revision 1.22  2003/12/27 17:20:32  undefine
- copy config.sub to allow build on amd64. note - ac/am regeneration on
  amd64 screw package - libraries doesn't have .so. extenstion :/

Revision 1.21  2003/08/08 07:25:01  wiget
- updated to 0.5.12

Revision 1.20  2003/07/26 16:43:14  qboosh
- 0.5.10 (new SONAME again)

Revision 1.19  2003/06/24 18:17:32  jareq
- fixed epoch:version issue
- fix in static requires

Revision 1.18  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/08 10:44:55  qboosh
- use http for sources from sourceforge

Revision 1.15  2003/01/11 00:37:08  qboosh
- 0.5.9 (SONAME has changed again)

Revision 1.14  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/31 12:44:04  qboosh
- merge from DEVEL (not for Ra)

Revision 1.12  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/08/18 21:11:22  mkochano
- Release 2 to workaround bug in rpm.

Revision 1.10  2002/08/18 11:14:39  blues
- license fix

Revision 1.9  2002/08/17 16:55:19  kloczek
- back to 0.5.3 (Epoch: 1).

Revision 1.8  2002/08/12 07:19:43  kloczek
- updated to 0.5.4,
- added libexif7{,-devel} to Obsoletes for allow upgrade from MDk,
- regenerate ac/am is back and added missing regenerate lt files.

Revision 1.7.2.1  2002/07/27 15:28:26  qboosh
- 0.5.4 (DEVEL - soname and API have changed)

Revision 1.7  2002/07/08 19:01:31  qboosh
- updated to 0.5.3, added locale file(s)
- rebuilding ac/am no longer necessary

Revision 1.6  2002/06/16 15:03:08  qboosh
- new %%doc

Revision 1.5  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/09 01:57:31  kloczek
- full regenerate ac/am/lt files and some minor changes.

Revision 1.3  2002/04/07 12:12:02  mkochano
- Release 3.
- Added ldconf to post/postun.

Revision 1.2  2002/04/07 11:32:09  mkochano
- Release 2.
- *.h files moved to -devel subpackage from -static.

Revision 1.1  2002/04/07 11:15:37  mkochano
- Release 1.
- Version 0.5.0.
- Based on template.spec.
